- Qt 5.0
- Qt 5.0.0 Reference Documentation

# DetailFieldFilter QML Type

The DetailFieldFilter element provides a filter based around a detail value criterion. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- detail : enum
- field : enum
- matchFlags : enumeration
- value : variant

## Signals

- onFilterChanged()

## Detailed Description

Simple example how to utilize DetailFieldFilter element together with OrganizerModel and ListView elements:

     Rectangle {
         height: 400; width: 400;

         OrganizerModel{
             id: organizer
             startPeriod: "2009-01-01"
             endPeriod: "2012-12-31"
             filter: todoFilter
         }

         DetailFieldFilter {
             id: todoFilter
             detail: Detail.Type
             field: Type.FieldType
             value: Type.Todo
         }

         ListView {
             width: parent.width; height: parent.height;
             model: organizer.items
             delegate: Text {text: displayLabel}
         }
     }

See also QOrganizerItemDetailFieldFilter.

## Property Documentation

detail : enum

This property holds the detail type of which the detail filter will be matched to. The value shuold be the enumeration value of Detail::type.

field : enum

This property holds the detail field type of which the detail field filter will be matched to. The value should be the filld enumeration value defined in each detail element.

See also EventTime, JournalTime, TodoTime, TodoProgress, Reminder, AudibleReminder, VisualReminder, EmailReminder, Comment, Description, DisplayLabel, Guid, Location, Parent, Priority, Recurrence, Timestamp, ItemType, and Tag.

matchFlags : enumeration

This property holds the semantics of the value matching criterion. The valid match flags include:

- MatchExactly - Performs QVariant-based matching (default).
- MatchContains - The search term is contained in the item.
- MatchStartsWith - The search term matches the start of the item.
- MatchEndsWith - The search term matches the end of the item.
- MatchFixedString - Performs string-based matching. String-based comparisons are case-insensitive unless the `MatchCaseSensitive` flag is also specified.
- MatchCaseSensitive - The search is case sensitive.

value : variant

This property holds the value criterion of the detail field filter.

## Signal Documentation

onFilterChanged()

Note: The corresponding handler is `onOnFilterChanged`.

See also QtOrganizer5::Filter::onFilterChanged.